Bug 345921 - Library gets in tight loop of connecting to port 16001 with SELinux
Library gets in tight loop of connecting to port 16001 with SELinux
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 16:12 EDT by Daniel Walsh
Modified: 2008-11-27 06:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 06:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2007-10-22 16:12:45 EDT
Description of problem:

If I install a limited privledged user (xguest_t), this user is not allowed to
connect to any network ports.  gnome-session calls into libesnd which attempts
to connect to port 16001.  When it gets permission denied it goes into a tight
loop and retries hundreds of times.

Should fail once or not try at all.
Comment 1 Bastien Nocera 2007-10-22 18:08:24 EDT
Is this esound or the esd wrapper script in pulseaudio?

Could you get a backtrace of the spin as well?
Comment 2 Daniel Walsh 2007-10-23 07:13:39 EDT
The AVC messages says it is the executable gnome-session.  The AVC would show a
script if it was running in one.  I looked into it a little and it looks like
libesd is the culprit. 

It would be difficult to get a backtrace since this happens at login.


If you download
http://people.fedoraproject.org/~dwalsh/xguest/xguest-1.0.2-1.noarch.rpm and
install it on rawhide with SELinux in enforcing mode.  The login to the xguest
account.

Comment 3 Bastien Nocera 2007-10-23 09:10:49 EDT
(In reply to comment #2)
> The AVC messages says it is the executable gnome-session.  The AVC would show a
> script if it was running in one.  I looked into it a little and it looks like
> libesd is the culprit. 
> 
> It would be difficult to get a backtrace since this happens at login.

Start gnome-session by hand in a "failsafe session", or drop to the console to
gather the backtrace.
Comment 4 Daniel Walsh 2007-10-23 09:35:01 EDT
Nalin could you get this back trace.  I don't have access to the system console
today.  Otherwise I will get it tomorrow.
Comment 5 Bug Zapper 2008-04-04 10:14:29 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 03:03:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.